Bug 750 - smbd panic
smbd panic
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.0preX
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-10 17:05 UTC by Ray Raszka
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ray Raszka 2003-11-10 17:05:22 UTC
Trying to run dual samba 3.0 LDAP PDC from latest CVS source on same machine, 
appears to be working in that correct data is displayed in usrmgr. However 
when accessing users from usrmgr.exe display on Win XP client, the following 
log data is generated.

[2003/11/10 19:27:23, 0] lib/util.c:smb_panic(1400)
  PANIC: init_unistr2_from_datablob: malloc fail
  
[2003/11/10 19:27:23, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 23 stack frames:
   #0 /etc/samba/CRANFORD/sbin/smbd(smb_panic+0x181) [0x818bcc4]
   #1 /etc/samba/CRANFORD/sbin/smbd(init_unistr2_from_datablob+0x4d) 
[0x80dd871]
   #2 /etc/samba/CRANFORD/sbin/smbd(init_sam_user_info21A+0x544) [0x813c737]
   #3 /etc/samba/CRANFORD/sbin/smbd [0x8113b1b]
   #4 /etc/samba/CRANFORD/sbin/smbd(_samr_query_userinfo+0x244) [0x8113d80]
   #5 /etc/samba/CRANFORD/sbin/smbd [0x810d221]
   #6 /etc/samba/CRANFORD/sbin/smbd(api_rpcTNP+0x1f3) [0x8122b3d]
   #7 /etc/samba/CRANFORD/sbin/smbd(api_pipe_request+0xcd) [0x81228cf]
   #8 /etc/samba/CRANFORD/sbin/smbd [0x811d1c6]
   #9 /etc/samba/CRANFORD/sbin/smbd [0x811d39e]
   #10 /etc/samba/CRANFORD/sbin/smbd [0x811d611]
   #11 /etc/samba/CRANFORD/sbin/smbd [0x811d7c7]
   #12 /etc/samba/CRANFORD/sbin/smbd(write_to_pipe+0xd9) [0x811d74b]
   #13 /etc/samba/CRANFORD/sbin/smbd [0x8088d10]
   #14 /etc/samba/CRANFORD/sbin/smbd [0x8088ee3]
   #15 /etc/samba/CRANFORD/sbin/smbd(reply_trans+0x942) [0x808988d]
   #16 /etc/samba/CRANFORD/sbin/smbd [0x80bb84c]
   #17 /etc/samba/CRANFORD/sbin/smbd [0x80bb8d6]
   #18 /etc/samba/CRANFORD/sbin/smbd(process_smb+0x1b9) [0x80bbbd1]
   #19 /etc/samba/CRANFORD/sbin/smbd(smbd_process+0x153) [0x80bc61a]
   #20 /etc/samba/CRANFORD/sbin/smbd(main+0x6f8) [0x81dfc87]
   #21 /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x420156a4]
   #22 /etc/samba/CRANFORD/sbin/smbd(chroot+0x31) [0x80777b1]
Comment 1 Gerald (Jerry) Carter 2003-11-24 06:30:35 UTC
This should be fixed in the latest 3.0 cvs code
(was a bug in the munged dial patch).
Comment 2 Gerald (Jerry) Carter 2005-02-07 07:57:31 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:17:14 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:27:11 UTC
database cleanup